package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.QuoteTypeMapper;
import com.ruoyi.system.domain.QuoteType;
import com.ruoyi.system.service.IQuoteTypeService;

/**
 * 项目报价--工艺分类Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-14
 */
@Service
public class QuoteTypeServiceImpl implements IQuoteTypeService 
{
    @Autowired
    private QuoteTypeMapper quoteTypeMapper;

    /**
     * 查询项目报价--工艺分类
     * 
     * @param id 项目报价--工艺分类主键
     * @return 项目报价--工艺分类
     */
    @Override
    public QuoteType selectQuoteTypeById(Long id)
    {
        return quoteTypeMapper.selectQuoteTypeById(id);
    }

    /**
     * 查询项目报价--工艺分类列表
     * 
     * @param quoteType 项目报价--工艺分类
     * @return 项目报价--工艺分类
     */
    @Override
    public List<QuoteType> selectQuoteTypeList(QuoteType quoteType)
    {
        return quoteTypeMapper.selectQuoteTypeList(quoteType);
    }

    /**
     * 新增项目报价--工艺分类
     * 
     * @param quoteType 项目报价--工艺分类
     * @return 结果
     */
    @Override
    public int insertQuoteType(QuoteType quoteType)
    {
        return quoteTypeMapper.insertQuoteType(quoteType);
    }

    /**
     * 修改项目报价--工艺分类
     * 
     * @param quoteType 项目报价--工艺分类
     * @return 结果
     */
    @Override
    public int updateQuoteType(QuoteType quoteType)
    {
        return quoteTypeMapper.updateQuoteType(quoteType);
    }

    /**
     * 批量删除项目报价--工艺分类
     * 
     * @param ids 需要删除的项目报价--工艺分类主键
     * @return 结果
     */
    @Override
    public int deleteQuoteTypeByIds(Long[] ids)
    {
        return quoteTypeMapper.deleteQuoteTypeByIds(ids);
    }

    /**
     * 删除项目报价--工艺分类信息
     * 
     * @param id 项目报价--工艺分类主键
     * @return 结果
     */
    @Override
    public int deleteQuoteTypeById(Long id)
    {
        return quoteTypeMapper.deleteQuoteTypeById(id);
    }
}
